RubyGems Navigation menu

highline 3.0.0.pre.1

A high-level IO library that provides validation, type conversion, and more for command-line interfaces. HighLine also includes a complete menu system that can crank out anything from simple list selection to complete shells with just minutes of work.

Gemfile:
= Copiar al portapapeles ¡Copiado!

instalar:
=

Versiones:

  1. 3.0.1 - January 20, 2024 (213 KB)
  2. 3.0.0 - January 05, 2024 (213 KB)
  3. 3.0.0.pre.1 - April 27, 2023 (213 KB)
  4. 2.1.0 - December 31, 2022 (212 KB)
  5. 2.0.3 - October 11, 2019 (212 KB)
Mostrar todas las versiones (70 total)

dependencias de Development (4):

bundler >= 0
dry-types >= 0
minitest >= 0
rake >= 0

Propietarios:

Subida por:

Autores:

  • James Edward Gray II

SHA 256 checksum:

d9b9ce0c69fe334b5840ffcc724d55b730c5954a94560621a6dfab7fdffcc62e

Total de descargas 226.963.206

Para esta versión 1.185

Licencia:

Ruby

Versión de Ruby requerida: >= 3.0

Versión de Rubygems requerida: > 1.3.1

Enlace: